{
    "doc": "Full Variant classification acording to AMP guideline, including all supporting evidences and the final\n    assessment",
    "fields": [
        {
            "doc": "List of AMP evidences",
            "name": "ampEvidences",
            "type": {
                "items": {
                    "doc": "Evidences as defined in AMP guidelines, they are composed by a evidence type (first column in the evidence table of\n    the guidlines) and a assessment of the evicence, this last one will define the streght of the evidence, supporting\n    the variant to be classified as TierI-IV",
                    "fields": [
                        {
                            "doc": "AMP evidence type according to Guidlines, i.e germline_database_presence",
                            "name": "type",
                            "type": {
                                "doc": "Type of evidence in tge AMP guideline",
                                "name": "AmpEvidenceType",
                                "symbols": [
                                    "mutation_type",
                                    "therapies",
                                    "variant_frequencies",
                                    "potential_germline",
                                    "population_database_presence",
                                    "germline_database_presence",
                                    "somatic_database_presence",
                                    "impact_predictive_software",
                                    "pathway_involvement",
                                    "publications"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "Assessment for AMP evidence, i.e Present in ClinVar",
                            "name": "evidenceAssessment",
                            "type": "string"
                        }
                    ],
                    "name": "AmpEvidence",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "Final Clasification taken in account the evidences",
            "name": "ampTier",
            "type": {
                "doc": "AMP tier:\n* `TierI`: Variants of Strong Clinical Significance\n* `TierII`: Variants of Potential Clinical Significance\n* `TierIII`: Variants of Unknown Clinical Significance\n* `TierIV`: Benign or Likely Benign Variants",
                "name": "AmpTier",
                "symbols": [
                    "tierI",
                    "tierII",
                    "tierIII",
                    "tierIV"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Clinical or Experimental evicence",
            "name": "ampClincialOrExperimentalEvidence",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Amp Clinical or Experimental Evidence, the level will define the overal clasification of the variant together with\n    the tiering.",
                        "fields": [
                            {
                                "doc": "As denined in AMP guidelines: therapeutic, diagnosis or prognosis",
                                "name": "category",
                                "type": {
                                    "doc": "Categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                    "name": "AmpClinicalOrExperimentalEvidenceCategory",
                                    "symbols": [
                                        "therapeutic",
                                        "diagnosis",
                                        "prognosis"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "As denined in AMP guidelines: levelA, levelB, levelC, levelD",
                                "name": "level",
                                "type": {
                                    "doc": "Levels for categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                    "name": "AmpClinicalOrExperimentalEvidenceLevel",
                                    "symbols": [
                                        "levelA",
                                        "levelB",
                                        "levelC",
                                        "levelD"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "Description of the evidence",
                                "name": "description",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "AmpClincialOrExperimentalEvidence",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Final Assessment",
            "name": "assessment",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "AmpVariantClassification",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}